Bug 1565409 - Macbook 2,1 fails to boot with kernels higher than kernel-4.13.9-300.fc27.x86_64
Summary: Macbook 2,1 fails to boot with kernels higher than kernel-4.13.9-300.fc27.x86_64
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 27
Hardware: x86_64 Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 00:53 UTC by SlayerProof32
Modified: 2018-11-30 23:43 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-30 23:43:36 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description SlayerProof32 2018-04-10 00:53:58 UTC
Description of problem:
Macbook will not successfully boot from kernel higher than 4.13.9

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1.Grab a macbook 2,1 (2006) with fedora 27 on it
2.At the grub menu, choose a kernel higher than version 4.13.9
3.System hangs at a weird gpu bug looking thing

Actual results:
Screen fills with a weird gpu bug thing, and hangs (refer to pic) and will not boot

Expected results:
system boots normally

Additional info:
Macbook 2,1
Intel Core 2 duo t7200 cpu
Intel graphics GMA945
32 bit EFI and 64 Bit computer
Has happened like this with other distros

Comment 1 SlayerProof32 2018-04-10 01:39:52 UTC
Kernel bug  images, read the filenames

https://drive.google.com/file/d/0B_hGY7qzj15BOG1hTHNBMzY3eGpNY1E3RDduTVVIY3FqcGU0/view?usp=sharing

Comment 2 SlayerProof32 2018-04-11 01:51:56 UTC
https://drive.google.com/open?id=1PJjsIaqid_Wqzvr6vIzLY41kPkM70Guj 
Here is the correct link. The one before doesn't work

Comment 3 Jason Rothstein 2018-05-07 03:11:30 UTC
I tripped the same issue with a MacBook2,1.

Latest kernel version that boots for me is 4.14.18-300.fc27.x86_64

With this kernel version I trip 4 CPU WARNINGS in a row on boot, 1st untainted, 2nd-4th flagged tainted. As a result, abrt doesn't think it is allowed to send any of these in.

1st = drivers/gpu/drm/i915/intel_display.c:1295 assert_plains_disabled+0x130/0x140
2nd = drivers/gpu/drm/i915/intel_display.c:10832 intel_atomic_check+0xf9f/0x1220
3rd = drivers/gpu/drm/i915/intel_display.c:10832 intel_atomic_check+0xf9f/0x1220
4th = drivers/gpu/drm/drm_atomic_helper.c:915 drm_atomic_helper_update_legacy_modeset_state+0x1ae/0x1c0

I can provide the full dmesg if someone thinks it will be useful.

Debug is a bit painful here as Grub doesn't honor a CTRL key (onboard keyboard or usb attached PC104), so edit of kernel command line isn't possible.

Trying Fedora 28 Workstation ia32 and the installer works fine up till the graphical mode switch done via anaconda. Fedora 28 x86_64 fails earlier as it looks like it tries to use kernel mode set. Due to the above mentioned ignoring CTRL key, Fedora 28 Workstation installers couldn't be debugged further to find out where things are going.

Comment 4 SlayerProof32 2018-06-03 18:27:56 UTC
Bug has since been fixed by the kernel devs

Comment 5 Jason Rothstein 2018-06-05 15:04:40 UTC
Boot still fails with the latest kernel-4.16.12-200.fc27.x86_64.rpm on a black screen with flashing cursor. The screen corruption is gone at least, but this may be because the boot didn't progress that far.

What combination worked for you?

Comment 6 SlayerProof32 2018-06-06 02:07:29 UTC
Could you attach a screenshot? It sounds like it is a GRUB issue

Comment 7 SlayerProof32 2018-06-06 02:10:47 UTC
Are you trying to boot in legacy mode? I have never had success with legacy mode. Make sure you are booting via EFI

Comment 8 Jason Rothstein 2018-06-09 23:38:40 UTC
Same issue and steps to reproduce as initial report.

Fedora 27 x86_64 booting EFI, works if kernel 4.14.x or lower is selected. Upgrading to 4.15.x or 4.16.x produces a black screen after grub.

Fedora 28 x86_64 DVDs via EFI do not boot. Considering removing the EFI signatures to force it to boot legacy and see what happens.

Fedora 28 ia32 DVDs via 32bit EFI or Legacy (didn't check) boot through text mode, but fail when switching to graphics.

Based on the messages out of 4.14 boot (All i915 and/or DRM related), and that these kernels default to kernel mode set before displaying text on a graphics screen, there isn't much I can debug here. Trying to edit grub doesn't work because at that stage, the CTRL key is ignored (or remapped to something I cannot figure out). I did try to boot with "nomodeset" but this didn't change the results.

Comment 9 SlayerProof32 2018-06-10 17:56:39 UTC
I was using kernel 4.14. The issue still isn’t fixed with anything above that. Reopening

Comment 10 Jeremy Cline 2018-06-11 15:21:50 UTC
Hi folks,

Your best bet is to bisect the kernel[0] between v4.15 and v4.14 to see where the regression started. It takes a while, but it's very helpful. You can also use some of the troubleshooting steps from [1] to see if you can get more useful information about where the kernel is hanging on boot.

[0] https://docs.fedoraproject.org/quick-docs/en-US/kernel/troubleshooting.html#bisecting-the-kernel
[1] https://docs.fedoraproject.org/quick-docs/en-US/kernel/troubleshooting.html#boot-failures

Comment 11 Justin M. Forbes 2018-07-23 15:25:04 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 12 Jason Rothstein 2018-08-06 00:58:01 UTC
I'm working on the git bisect to find what caused the original breakage, and found a new one.

4.17.x causes immediate reboots on Macbook2,1 where at least 4.16.x would crash in a way that was potentially diagnoseable.

Trying some of the various vanilla kernel RPM from the instructions as well and will report back as time permits.

Comment 13 Jason Rothstein 2018-09-10 23:28:03 UTC
Here is where I'm at trying to narrow down the commit triggering the issue.

Last working Koji build : http://koji.fedoraproject.org/koji/buildinfo?buildID=1030043 for 4.14.18-300.fc27

Unable to test (deleted) : http://koji.fedoraproject.org/koji/buildinfo?buildID=1033940 for 4.15.2-300.fc27

Unable to test (deleted) : http://koji.fedoraproject.org/koji/buildinfo?buildID=1043716 for 4.15.2-301.fc27

Non-working (horizontal bars and hang during boot) : https://koji.fedoraproject.org/koji/buildinfo?buildID=1044175 with 4.15.3-300.fc27

Reviewing the changes made in the spec outside of the kernel.org sources suggests it isn't likely to be there so I'm going to start trying raw kernel.org sources at 4.14.0 and rolling up from there to see which point release triggered the issue.

Current kernel.org for 4.19-rc2 is back to generating the failure/halt as 4.15.3 above does so that is semi good news I expect.

Comment 14 Laura Abbott 2018-10-01 21:21:54 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.18.10-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 28 or Fedora 29, and are still experiencing this issue, please change the version to Fedora 28 or 29.
 
If you experience different issues, please open a new bug report for those.

Comment 15 Jason Rothstein 2018-11-10 18:24:39 UTC
Fedora 29 i386 boots with 4.18 without issue.

Fedora 27+ x86_64 does not boot on MacBook2,1 into a kernel >= 4.14.

The Intel Graphics issues I saw no longer appear in 4.18 i386 for Fedora 29.

Outstanding issue with Fedora booting on MacBook2,1 appears to be related to bootloader transition from UEFI 32bit to Linux Kernel 64bit triggering immediate reboots. This happens with Fedora 27 x86_64 using latest kernels, as well as Fedora 29 x86_64 install media.

Comment 16 Ben Cotton 2018-11-27 13:35:24 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2018-11-30 23:43:36 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.